# Uses of Class
org.jastronomy.jsofa.JSOFA.CelestialIntermediatePole

## Uses of JSOFA.CelestialIntermediatePole in org.jastronomy.jsofa

Fields in org.jastronomy.jsofa declared as JSOFA.CelestialIntermediatePole
Modifier and Type
Field
Description
`JSOFA.CelestialIntermediatePole`
JSOFA.ICRFrame.`cip`
Methods in org.jastronomy.jsofa that return JSOFA.CelestialIntermediatePole
Modifier and Type
Method
Description
`static JSOFA.CelestialIntermediatePole`
JSOFA.`jauBpn2xy(double[][] rbpn)`
Extract from the bias-precession-nutation matrix the X,Y coordinates of the Celestial Intermediate Pole.
`static JSOFA.CelestialIntermediatePole`
JSOFA.`jauFw2xy(double gamb, double phib, double psi, double eps)`
CIP X,Y given Fukushima-Williams bias-precession-nutation angles.
`static JSOFA.CelestialIntermediatePole`
JSOFA.`jauXy06(double date1, double date2)`
Constructors in org.jastronomy.jsofa with parameters of type JSOFA.CelestialIntermediatePole
Modifier
Constructor
Description
``
`ICRFrame(JSOFA.CelestialIntermediatePole cip, double s)`